Quote
Returns an onramp Quote
This endpoint returns an accurate price estimate for the requested amount for the coin/token (fiat to crypto)
Create an Onramp Quote
POST https://api.onramp.money/onramp/api/v2/whiteLabel/onramp/quote
Request Body
fromCurrency*
String
Base currency of the trading pair E.g. of fromCurrency:
INR | TRY | AED | MXN | IDR | EUR
toCurrency*
String
Quote currency of the trading pair
E.g. of toCurrency: usdc | usdt | eth
fromAmount*
String
Fiat amount for onramp
chain*
String
supported networks by onramp for onchain transactions
E.g. of supported networks:
usdt - bep20 | matic20 | erc20 | trc20
usdc - bep20 | matic20
busd - bep20
eth - erc20 | matic20
paymentMethodType*
String
payment Method Type for Onramp Transaction. E.g. of payment method Type:
For INR -> UPI, IMPS
For TRY -> TRY_BANK_TRANSFER
For AED -> AED-BANK-TRANSFER
For MXN -> SPEI
For IDR -> IDR_BANK_TRANSFER
{
"status": 1,
"code": 200,
"data": {
"fromCurrency": "INR",
"toCurrency": "USDT",
"toAmount": 13.08,
"fromAmount": "1200",
"fees": [
{
"type": "fiat",
"onrampFee": 3,
"clientFee": 0,
"gatewayFee": 0,
"gasFee": 8.26
}
]
}
}{
"status": 0,
"code": 500,
"error": "Unable to generate Onramp quote at the moment. Please try again after some time."
}
status -> 0 is for unsuccessful request, 1 is for a successful one
fromCurrency -> fiat used for the transaction .
toCurrency -> symbol of the coin e.g. USDT).
fromAmount -> Amount of fiat received by the onramp.money.
toAmount -> actual amount of crypto bought at the time of swap/trade.
rate -> expected price estimate shown at the beginning of the transaction
fees (array of objects): Breakdown of different fees associated with the transaction.
type -> The type of fee (e.g., "fiat", "crypto").
onrampFee -> Onramp fee amount.
clientFee -> Client fee amount.
gatewayFee -> Gateway fee amount.
gasFee -> Gas fee amount.
Last updated